Subject: Re: linux-next: manual merge of the seccomp tree with the kselftest tree

From: Kees Cook <[email-masked]>
Date: Tue, 7 Jul 2020 19:00:15 -0700

On Tue, Jul 07, 2020 at 01:27:59PM -0600, Shuah Khan wrote:
> On 7/7/20 2:26 AM, Kees Cook wrote:
> > On Tue, Jul 07, 2020 at 02:57:20PM +1000, Stephen Rothwell wrote:
> > > Hi all,
> > > 
> > > Today's linux-next merge of the seccomp tree got a conflict in:
> > > 
> > >    tools/testing/selftests/seccomp/seccomp_bpf.c
> > > 
> > > between commit:
> > > 
> > >    9847d24af95c ("selftests/harness: Refactor XFAIL into SKIP")
> > > 
> > > from the kselftest tree and commits:
> > > 
> > >    aae7d264d68b ("selftests/seccomp: Check for EPOLLHUP for user_notif")
> > >    11b4beaa0d31 ("selftests/seccomp: Make kcmp() less required")
> > >    ef332c970dfa ("selftests/seccomp: Rename user_trap_syscall() to user_notif_syscall()")
> > > 
> > > from the seccomp tree.
> > 
> > Har har -- a collision of my own creation. Yay lots of trees. ;) I'll
> > make this go away; the cause is a harmless cleanup.
> > 
> 
> Thanks Kees. Let me know if I have to do anything.

Yeah, as it turns out, I could only minimize the conflict, and I think
I'll just mention it when I send the seccomp pull request for the v5.9
merge window.

Thanks!

-- 
Kees Cook